import { ValidateTrigger, WidgetTrigger } from '@oinone/kunlun-vue-ui-common';
import { ValidatorInfo } from '../../../../typing';
import { FormStringInputFieldWidget } from '../input';
export declare class FormStringMediaPlayerFieldWidget extends FormStringInputFieldWidget {
    initialize(props: any): this;
    protected get mode(): any;
    protected get fileSource(): any;
    protected get partSize(): any;
    protected get chunkUploadThreshold(): any;
    protected get parallel(): any;
    get validateTrigger(): ValidateTrigger[];
    change(value: any): void;
    remove(value: any): void;
    protected get limit(): number;
    protected get limitSize(): number;
    protected get allLimitSize(): any;
    protected get multiple(): boolean;
    protected get limitFileExtensions(): any;
    protected validateLength(realValue: string): ValidatorInfo;
    protected defaultConstructDataTrigger(): WidgetTrigger[];
    protected defaultClearFieldsTrigger(): WidgetTrigger[];
}
/**
 * @deprecated please using FormStringMediaPlayerFieldWidget
 */
export declare const FormStringSingleMediaWidget: typeof FormStringMediaPlayerFieldWidget;
